// 获取assets静态资源
const getAssetsImagesFile = (name: string) => {
  if (typeof name === 'undefined') return 'error.png'
  const path = `/src/assets/images/${name}`
  const modules = import.meta.globEager('/src/assets/images/*')
  return modules[path]?.default

};

export default { getAssetsImagesFile: getAssetsImagesFile }


